%define upstream_name    PDF-Builder
%define upstream_version 3.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Facilitates the creation and modification of PDF files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.xz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Font::TTF) >= 1.40.0
BuildArch:  noarch

%description
Represents a page of output in PDF. It also keeps track of the content
stream, any resources (such as fonts) being switched, etc.

Page inherits from Pages due to a number of shared methods. They are really
structurally quite different.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

rm -rf %buildroot/usr/local/share/man

%files
%{_prefix}/lib/perl5/site_perl/5.22.3/PDF/


%changelog
* Thu Dec 17 2020 tex - 3.20.0-1pclos2020
- create pkg
